Updating Error


#1

I’m having a problem updating. I’ve tried updating mirrors, as well as doing a force update, but nothing seems to work. I keep getting this error:
error: pacman-mirrors: signature from “Frede Hundewadt fh@manjaro.org” is invalid
:: File /var/cache/pacman/pkg/pacman-mirrors-4.12.2-4-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
I keep getting this error, like i said i tried updating mirrors as well as key rings of both manjaro and arch linux. What else havent i tried? Any help would be appreciated. Thank you.


#2

Forgot to add, i am running Xfce version, on an Acer laptop.


#3

Did you see the FAQ there is a topic for that, try it out and see if it works.
https://forum.manjaro.org/t/issues-with-signature-is-marginal-trust-or-invalid-or-corrupted-package/33268?u=anika200


#4

Thank you for the link, i tried looking for any topics like mine but couldnt find any. Ok so I tried all commands on the link, but now I’m getting
error: failed to commit transaction (conflicting files)
thunar-archive-plugin: /user/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in file system
I’ve tried removing thunar, but with no luck. I must be doing something wrong.


#5

Well you fixed your initial problem. Now search for the one you have now.
(oh gawd - no you dont remove thunar … hint - maybe just the plugin? )


#6

Thank you anika200 for the link and for responding, that fixed my problem.


#7

Glad I could help, I just had to go through the same thing on a machine I had not updated for a couple of months.


closed #8

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.